import * as PropTypes from 'prop-types';
import * as React from 'react';
export interface IMSTeamsIconProps extends React.DetailedHTMLProps<React.HTMLAttributes<HTMLElement>, HTMLElement> {
    iconType?: string;
    iconWeight?: number;
}
export interface IMSTeamsIconState {
    baseClass: string;
    iconClass: string | null;
}
export declare class MSTeamsIcon extends React.PureComponent<IMSTeamsIconProps, IMSTeamsIconState> {
    static propTypes: {
        iconType: PropTypes.Requireable<string | number>;
        iconWeight: PropTypes.Requireable<string | number>;
    };
    static defaultProps: {
        iconWeight: number;
    };
    render(): JSX.Element;
}
export declare const MSTeamsIconType: {
    ASD: string;
    Activity: string;
    AddExpression: string;
    AddParticipant: string;
    AddText: string;
    AgentCertification: string;
    Alert: string;
    AlertOff: string;
    AlertOffStatus: string;
    Announcement: string;
    Approval: string;
    Archive: string;
    At: string;
    AutoTopup: string;
    AvatarBotCertified: string;
    AvatarBotCertifiedStroke: string;
    AvatarBotMask: string;
    AvatarBotMaskInversed: string;
    AvatarBotMaskWithPresence: string;
    AvatarMask: string;
    Backspace: string;
    Badge: string;
    BadgeCenter: string;
    BadgeM2: string;
    Bing: string;
    Birthday: string;
    BlockNotification: string;
    BlockNotificationLarge: string;
    Bluetooth: string;
    BluetoothSpeaker: string;
    Board: string;
    Bold: string;
    Bookmark: string;
    Bot: string;
    BotAdd: string;
    BotAddS: string;
    BottomLeft: string;
    BottomRight: string;
    BrokenBroadcast: string;
    Bug: string;
    Calendar: string;
    CalendarSubscription: string;
    CallAdd: string;
    CallAnimSmall1: string;
    CallAnimSmall2: string;
    CallAnimSmall3: string;
    CallAnimSmall4: string;
    CallBlocked: string;
    CallDisabled: string;
    CallDisabledStatus: string;
    CallEnd: string;
    CallError: string;
    CallForward: string;
    CallIn: string;
    CallMissed: string;
    CallMissedCentered: string;
    CallOk: string;
    CallOut: string;
    CallQualityIndicator: string;
    CallReverse: string;
    CallStart: string;
    CallStartBig: string;
    CallTransfer: string;
    CallerID: string;
    Camera: string;
    Cancel: string;
    Change: string;
    ChannelFollow: string;
    ChannelUnfollow: string;
    ChatDeleted: string;
    ChatFavourite: string;
    ChatFilter: string;
    ChatOff: string;
    ChatOk: string;
    ChevronDown: string;
    ChevronLeft: string;
    ChevronMedDown: string;
    ChevronMedLeft: string;
    ChevronMedRight: string;
    ChevronMedUp: string;
    ChevronRight: string;
    ChevronSmallDown: string;
    ChevronSmallLeft: string;
    ChevronSmallRight: string;
    ChevronSmallUp: string;
    ChevronUp: string;
    ChromeClose: string;
    ChromeMaximize: string;
    ChromeMinimize: string;
    ChromeRestore: string;
    CircleBig: string;
    CircleSmall: string;
    Click: string;
    Clipboard: string;
    Clippy: string;
    CloudDownload: string;
    CodeSnippet: string;
    Collapse: string;
    Connectors: string;
    Contact: string;
    ContactAdd: string;
    ContactBlocked: string;
    ContactBot: string;
    ContactCard: string;
    ContactCardGroup: string;
    ContactDelete: string;
    ContactGroup: string;
    ContactGroupAdd: string;
    ContactGroupCall: string;
    ContactGroupDelete: string;
    ContactGroupOk: string;
    ContactGroupPair: string;
    ContactGroupPairSmall: string;
    ContactGroupScreenshare: string;
    ContactGroupVideo: string;
    ContactIn: string;
    ContactOk: string;
    ContactPstn: string;
    ContactSend: string;
    ContactSkype: string;
    ContactSkypeOut: string;
    ConversationNew: string;
    CortanaAddToList: string;
    CortanaCalendar: string;
    CortanaCreateAppointment: string;
    CortanaCreateReminder: string;
    CortanaList: string;
    CortanaReminder: string;
    CortanaReminderPerson: string;
    CortanaReminderPlace: string;
    CortanaReminderTime: string;
    CortanaTime: string;
    CurrencyDollar: string;
    CurrencyEuro: string;
    CurrencyIndianRupee: string;
    CurrencyIsraeliSekel: string;
    CurrencySaudiRiyal: string;
    CurrencySterling: string;
    CurrencyTurkishLira: string;
    CurrencyYen: string;
    Delete: string;
    Devices: string;
    Dialpad: string;
    DialpadOff: string;
    Directions: string;
    Display: string;
    Down: string;
    Download: string;
    DownloadArrow: string;
    Dropdown: string;
    DropdownIconArrow: string;
    DropdownIconBadge: string;
    DropdownIconBg: string;
    DropdownList: string;
    DropdownMenu: string;
    E989: string;
    Earpiece: string;
    EmoticonStroke: string;
    Eraser: string;
    Error: string;
    Expand: string;
    Extension: string;
    Favourite: string;
    FavouriteOn: string;
    Feedback: string;
    Feedback20px: string;
    FieldError: string;
    FieldSuccess: string;
    File: string;
    FileAdd: string;
    FileAe: string;
    FileAi: string;
    FileAudio: string;
    FileBlocked: string;
    FileCode: string;
    FileDeleted: string;
    FileError: string;
    FileFl: string;
    FileFw: string;
    FileGif: string;
    FileId: string;
    FileIn: string;
    FileMultiple: string;
    FileMultipleIn: string;
    FileOut: string;
    FilePdf: string;
    FilePs: string;
    FileSearch: string;
    FileSend: string;
    FileSketch: string;
    FileText: string;
    FileVideo: string;
    FileZip: string;
    Filter: string;
    FitToWindow: string;
    Flag: string;
    Flash: string;
    FlashOff: string;
    Folder: string;
    FolderAdd: string;
    FolderDown: string;
    FolderFind: string;
    FolderUp: string;
    FontColor: string;
    FontColorA: string;
    FontColorUnderline: string;
    FontSize: string;
    Fork: string;
    Format: string;
    Forward: string;
    ForwardArrow: string;
    ForwardFilled: string;
    Fullscreen: string;
    FullscreenOff: string;
    GVCFocus: string;
    GVCGrid: string;
    Gif: string;
    Globe: string;
    Glossary: string;
    Guest: string;
    GuestAdd: string;
    Happy: string;
    Hash: string;
    Headset: string;
    HeadsetOff: string;
    Heart: string;
    HeartBroken: string;
    HeartOutline: string;
    Hide: string;
    Highlight: string;
    Highlights: string;
    Home: string;
    Host: string;
    HostOff: string;
    HostOffStatus: string;
    IconSkype: string;
    IconSkypeBgLarge: string;
    IconSkypeForBusiness: string;
    IconSkypeForBusinessBgLarge: string;
    IconSkypeForBusinessGlyphLarge: string;
    IconSkypeForBusinessLarge: string;
    IconSkypeGlyphLarge: string;
    IconSkypeLarge: string;
    IllustrationAngry: string;
    IllustrationBigsmile: string;
    IllustrationCalling: string;
    IllustrationLove: string;
    IllustrationMonkey: string;
    IllustrationSad: string;
    IllustrationSurprised: string;
    IllustrationTMI: string;
    Info: string;
    InfoCircle: string;
    Insert: string;
    Italics: string;
    Keyboard: string;
    Landline: string;
    LandlineAdd: string;
    Leave: string;
    Left: string;
    Like: string;
    Link: string;
    ListNumbered: string;
    Location: string;
    LogoMicrosoft: string;
    LogoSkypeCloudMedium: string;
    LogoSkypeLarge: string;
    LogoSkypeMedium: string;
    LogoSkypeSmall: string;
    LogoSkypeTextMedium: string;
    MSExcel: string;
    MSOffice: string;
    MSOneDrive: string;
    MSOneNote: string;
    MSOutlook: string;
    MSPowerPoint: string;
    MSVisio: string;
    MSWindows: string;
    MSWord: string;
    MSXBox: string;
    MagicWand: string;
    Mail: string;
    Mask: string;
    Media: string;
    MeetNow: string;
    Meeting: string;
    MeetingPlus: string;
    Menu: string;
    MenuCenter: string;
    MenuList: string;
    MenuListWithBadge: string;
    MenuWithBadge: string;
    MenuWithBadgeCenter: string;
    MergeCalls: string;
    Message: string;
    MessageM2: string;
    MessageQuestion: string;
    MessageRTL: string;
    MessageRead: string;
    MessageUnread: string;
    MessageWithBadge: string;
    MessageWithBadgeCenter: string;
    MessageWithBadgeM2: string;
    MessageWithBadgeRTL: string;
    Microphone: string;
    MicrophoneConference: string;
    MicrophoneOff: string;
    MicrophoneOffStatus: string;
    MicrophoneUsb: string;
    MicrosoftTeams: string;
    Minus: string;
    Mobile: string;
    MobileError: string;
    MobileOk: string;
    MobileSettings: string;
    MobileSms: string;
    Moji: string;
    MojiDeleted: string;
    MojiEmoticon: string;
    MojiFullStroke: string;
    MojiMask: string;
    MojiMaskInverted: string;
    MojiMore: string;
    MojiPrevious: string;
    MojiRecent: string;
    More: string;
    MoreFilled: string;
    MoreVertical: string;
    Move: string;
    Movie: string;
    Music: string;
    MyLocation: string;
    NavigationBack: string;
    NavigationBackCentered: string;
    NavigationClose: string;
    NavigationForward: string;
    NavigationForwardCentered: string;
    Network: string;
    Notepad: string;
    Notification: string;
    NotificationOff: string;
    NotificationStroke: string;
    Nudge: string;
    Office: string;
    Ok: string;
    OpenFolder: string;
    OriginalSize: string;
    Outline: string;
    PSTNCaller: string;
    Pause: string;
    PcSpeakers: string;
    PhoneAddressBook: string;
    Picture: string;
    Pin: string;
    PinBlocked: string;
    PinOff: string;
    PinOffStatus: string;
    Pinning: string;
    PinningOff: string;
    Planner: string;
    Play: string;
    PlayResume: string;
    Plus: string;
    Poll: string;
    PowerBI: string;
    PresenceAway: string;
    PresenceAwayXS: string;
    PresenceAwayXXS: string;
    PresenceBlocked: string;
    PresenceBusyXS: string;
    PresenceBusyXXS: string;
    PresenceCallForward: string;
    PresenceDnd: string;
    PresenceGlyphAway: string;
    PresenceGlyphAway12px: string;
    PresenceGlyphCallForward: string;
    PresenceGlyphCallForward12px: string;
    PresenceGlyphDnd: string;
    PresenceGlyphDnd12px: string;
    PresenceGlyphMobile: string;
    PresenceGlyphMobile12px: string;
    PresenceGlyphOffline: string;
    PresenceGlyphOffline12px: string;
    PresenceGlyphOnline: string;
    PresenceGlyphOnline12px: string;
    PresenceGlyphUnknown: string;
    PresenceGlyphUnknown12px: string;
    PresenceGlyphUnknown12pxRTL: string;
    PresenceMobile: string;
    PresenceOfflineXS: string;
    PresenceOfflineXXS: string;
    PresenceOnline: string;
    PresenceOnlineStroke: string;
    PresenceStroke: string;
    PresenceUnknown: string;
    Presentation: string;
    Print: string;
    Privacy: string;
    PrivacyClassification: string;
    Progress: string;
    Promote: string;
    QR: string;
    Question: string;
    QuestionMarkFilled: string;
    QuestionRTL: string;
    Questionnaire: string;
    QuickLook: string;
    QuoteClose: string;
    QuoteOpen: string;
    Recent: string;
    RecentWithBadge: string;
    Refresh: string;
    Reload: string;
    Reply: string;
    Rigel: string;
    RigelAdd: string;
    Right: string;
    Rotate: string;
    Sad: string;
    Safari: string;
    Save: string;
    ScreenCapture: string;
    Screenshare: string;
    Search: string;
    SearchXL: string;
    Send: string;
    Settings: string;
    SettingsAudio: string;
    SettingsSkypeOut: string;
    Share: string;
    ShareAndroid: string;
    ShareFrom: string;
    ShareIOS: string;
    ShareStop: string;
    ShareTo: string;
    ShareToTV: string;
    Sharepoint: string;
    Sharing: string;
    SignOut: string;
    Signal: string;
    SkypeAddressBook: string;
    SkypeCredit: string;
    SkypeForBusiness: string;
    SkypeManager: string;
    SkypeNumber: string;
    SkypeToGo: string;
    SkypeTranslator: string;
    StarInCircle: string;
    Stickers: string;
    Stop: string;
    SubscriptionCountry: string;
    SubscriptionRegion: string;
    SubscriptionWorld: string;
    SwipeAll: string;
    SwipeDown: string;
    SwipeLeft: string;
    SwipeLeftRight: string;
    SwipeRight: string;
    SwipeUp: string;
    SwipeUpDown: string;
    SwitchCamera: string;
    TV: string;
    TVOff: string;
    Tab: string;
    Table: string;
    Tap: string;
    TestGlyph: string;
    ToDo: string;
    ToDoList: string;
    TopLeft: string;
    TopRight: string;
    Topic: string;
    TopupHistory: string;
    TopupHistoryBackground: string;
    Type: string;
    Underline: string;
    Undo: string;
    Up: string;
    UserVideoOffStatus: string;
    ViM: string;
    Video: string;
    VideoFront: string;
    VideoHD: string;
    VideoOff: string;
    VideoOffStatus: string;
    VideoRear: string;
    Videomail: string;
    VideomailOffStatus: string;
    Voicemail: string;
    VolumeMax: string;
    VolumeMid: string;
    VolumeMin: string;
    VolumeOff: string;
    WFH: string;
    Warning: string;
    WhoBot: string;
    Wifi: string;
    Wiki: string;
    Yo: string;
    YouTube: string;
    ZoomIn: string;
    ZoonOut: string;
    _215: string;
    _485: string;
    uniE60B: string;
    uniF800: string;
    uniF801: string;
};
export declare const MSTeamsIconWeight: {
    Regular: number;
    Light: number;
};
